Firefox 57 veya Sonrası ile Eklenti Uyumluluğu Nasıl Kontrol Edilir

0
7

Bu Kasım ayında piyasaya sürülmesi planlanan Firefox 57, çoğumuzun bulduğu bazı popüler eklentilerle uyumluluğu potansiyel olarak bozabilecek bir değişiklik de dahil olmak üzere tarayıcıya bazı büyük değişiklikler getirecek. Günlük kullanımımızda vazgeçilmezdir. Mozilla, Firefox’un gelişen eklenti eko sisteminin temelleri olan XPCOM ve XUL’dan uzaklaşırken, tarayıcı yalnızca ‘WebExtensions’ adlı yeni bir uzantı API’sini destekleyecek ve XUL kaplama uzantıları, önyükleme uzantıları, SDK uzantıları ve hatta Gömülü uzantılarla uyumluluğu sona erdirecek. Web Uzantıları. Doksanların ortasındaki Netscape Navigator günlerinden beri kendini işine adamış bir Firefox kullanıcısı olarak, sevdiğim bazı eklentilerin birkaç hafta içinde eskimiş olabileceği fikri yutmak için acı bir hap, ancak yapabileceğiniz geçici çözümler var. modası geçmeden önce kendinize biraz zaman satın almak için kullanın. Bugünkü bu makalede, Mozilla’nın XUL uzantılarını neden kullanımdan kaldırdığını, Firefox 57 ile eklenti uyumluluğunu nasıl kontrol edebileceğinizi ve Firefox 57, XUL ve XPCOM desteğini sonlandırdıktan sonra bile eski uzantıları nasıl kullanmaya devam edebileceğinizi tam olarak anlatacağız. iyi.

Mozilla, Firefox 57 ile XUL Desteğini Neden Sonlandırıyor?

Bu yılın başlarında Mozilla tarafından yayınlanan açıklamalara göre, WebExtensions API’sinin uygulanması Firefox’a birçok yönden yardımcı olacaktır, ancak geliştirici ve uzman kullanıcı topluluklarındaki pek çok kişi ikna olmamıştır. Öncelikle, Mozilla’nın Firefox masaüstü yöneticisi Ken Needham’a göre, tarayıcının XPCOM ve XUL’dan vazgeçmesinin başlıca nedeni güvenlik ve kararlılık. Ona göre, Firefox kodunun çoğunun JavaScript’te olması, tarayıcıyı rakiplerinden çok daha özelleştirilebilir hale getirme açısından büyük bir avantaj oldu, ancak aynı zamanda tarayıcıyı kötü amaçlı yazılımlardan ve diğer güvenliklerden doğal olarak güvensiz kılıyor. tehditler. Ayrıca, “Eklentiler, Firefox’un dahili uygulamasına tam erişime sahiptir. Bu modülerlik eksikliği birçok soruna yol açar. Eklentiler, API’leri beklenmedik şekillerde kullandıklarında Firefox’un çökmesine de neden olabilir”.

Firefox’un halihazırda benimsediği ve Firefox 57’deki eklentilerinin tek temeli olacak yeni uygulama programlama arayüzü (API) olan WebExtensions, aynı zamanda Google’ın şu anda kullanılan Apple’ın açık kaynaklı WebKit tarayıcı motorunun çatalı olan Blink ile de uyumludur. Bir süre önce Presto tarayıcı motorunu WebKit lehine terk ederek Chrome ve Opera gibi diğer popüler tarayıcıların temelini oluşturur. Blink uyumluluğu, geliştiricilerin, Mozilla’ya göre, kodu çok fazla değiştirmek zorunda kalmadan Chrome eklentilerini Firefox’a kolayca taşımalarına olanak tanıyacak. Yani beğenseniz de beğenmeseniz de bu değişimle uğraşmak zorunda kalacaksınız.

Hangi Eklentilerin Firefox 57 veya Daha Sonrası ile Uyumlu Olduğunu Kontrol Edin

  • Eklentilerinizin Firefox 57 ve sonraki sürümleriyle uyumlu olup olmadığını kontrol etmek için Firefox pencerenizin sağ üst köşesindeki hamburger menüsüne tıklayın ve ardından ‘Eklentiler’e tıklayın.

  • Çıkan ekranda aşağıdaki resimde görüldüğü gibi ‘Uzantılar’ seçeneğine tıklayın.

Eklentiler Eski KKArtık XUL’u ve sarı bir ‘Eski’ etiketiyle etiketlenmiş diğer uzantıları görebilirsiniz; WebExtension API’sine geçiş yapmış olanlar böyle bir işarete sahip olmayacak ve Firefox 57 ve sonraki sürümlerde bile her zamanki gibi çalışmaya devam edecek.

Eski Uzantıları Kullanmaya Devam Etme

Geliştiricisi henüz WebExtensions’a geçmemiş veya gelecekte yapması muhtemel olmayan belirli bir uzantıyı gerçekten kullanmaya devam etmek istiyorsanız, yapabileceğiniz şey, büyük ölçüde amaçlanan Firefox ESR’ye (Genişletilmiş Destek Sürümü) geçmektir. özelliklerden çok uyumluluğa değer veren kuruluşlarda ve işletmelerde. ESR sürümleri yeni özelliklerle güncellenmeyebilir, ancak bir sonraki ESR sürümünün yayınlanmasına kadar tüm güvenlik yamalarını almaya devam ederler. Mevcut ESR sürümü Firefox 52’dir ve gelecek Haziran’a kadar güvenlik güncellemelerini almaya devam edecektir, böylece güvenlikle ilgili herhangi bir endişe duymadan eski uzantılarınızı o zamana kadar kullanmaya devam edebilirsiniz. Kalıcı bir çözüm olmayacak, ancak ileriye dönük seçeneklerinizi değerlendirmek için size biraz zaman kazandıracak.

Firefox 57 veya Sonrası ile Eklenti Uyumluluğunu Kontrol Edin

Firefox’un hamlesi çok sayıda sesli ve etkili eleştirmenleri cezbetse de, kuruluş önerilen değişiklikleri planlandığı gibi sürdürüyor. Bu nedenle, beğenseniz de beğenmeseniz de, en azından favori eklentilerinizden bazıları bu yılın sonuna kadar artık kullanılamayabilir. Elbette, ESR versiyonuna geçebilirsiniz, ancak yine de ödünç alınan zamanla yaşıyor olacaksınız, çünkü mühlet sadece geçici olacak ve kalıcı olmayacak. Peki, değişikliklerin geliştiricileri ve kullanıcıları yabancılaştıracağını düşünüyor musunuz? Firefox, kullanıcılarının bir kısmını kaybedecek mi, yoksa son derece kararlı Firefox kullanıcılarının yalnızca ideolojik nedenlerle tarayıcıyı desteklemeye devam edeceğine inanıyor musunuz? Bu konu hakkında ne düşündüğünüzü bize bildirin, çünkü sizden haber almayı çok seviyoruz.

LEAVE A REPLY

Please enter your comment!
Please enter your name here